#!/bin/csh

# AIX C++, AIX F90, MPICH/P4

set MPICH_HOME = $1

set MPICH_ARCH = `tarch`

configure -mpiinc=${MPICH_HOME}/include \
          -mpilib=-lmpi \
          -f90com="xlf -qextname" \
          -c++com=xlC \
          -f90lib=-lxlf90 \
          -lnkcom="xlC -L${MPICH_HOME}/lib/${MPICH_ARCH}/ch_p4"

# Comments:
#
#      Tested under:
#           AIX 4.1.2,
#           MPICH 1.0.9.
#
#      `$MPICH_HOME' is the home directory for the MPICH installation.

